texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[5533] info test suite fixes


From: Gavin D. Smith
Subject: [5533] info test suite fixes
Date: Thu, 08 May 2014 10:43:21 +0000

Revision: 5533
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5533
Author:   gavin
Date:     2014-05-08 10:43:19 +0000 (Thu, 08 May 2014)
Log Message:
-----------
info test suite fixes

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/info/t/Init-intera.inc
    trunk/info/t/Init-test.inc
    trunk/info/t/file.sh
    trunk/info/t/goto-quoted.sh
    trunk/info/t/index-apropos.sh
    trunk/info/t/index-long-nodeline.sh
    trunk/info/t/index.sh
    trunk/info/t/next-quoted.sh
    trunk/info/t/reference-quoted.sh
    trunk/info/t/split-index.sh
    trunk/info/t/tab.sh

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog     2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/ChangeLog     2014-05-08 10:43:19 UTC (rev 5533)
@@ -1,5 +1,12 @@
 2014-05-08  Gavin Smith  <address@hidden>
 
+       * info/t/Init-intera.inc: Redirect stdin as well as stdout and stderr.
+       * info/t (all files): Look in $srcdir for test data to faciliate
+       VPATH builds.
+       * info/t/file.sh: Use simple filename argument to --file.
+
+2014-05-08  Gavin Smith  <address@hidden>
+
        * doc/info-stnd.texi: Give overview of invocation.
 
 2014-05-08  Gavin Smith  <address@hidden>

Modified: trunk/info/t/Init-intera.inc
===================================================================
--- trunk/info/t/Init-intera.inc        2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/Init-intera.inc        2014-05-08 10:43:19 UTC (rev 5533)
@@ -5,20 +5,12 @@
 # We could perhaps use AM_TESTS_FD_REDIRECT in Makefile.am instead,
 # although this would stop us from running test scripts from the command-line.
 
-# FIXME: If ginfo segfaults in the middle of a test when running interactively,
-# it will mess up the terminal settings, even though both stdout and stderr
-# have been redirected.  A newline character sent to the terminal does not
-# do a carriage return, and characters typed at the keyboard are not echoed.
-# Find out why this is happening.  The program must still have some
-# reference to the terminal.
-
 GINFO_PTY_FILE=$0.pty
 rm -f $GINFO_PTY_FILE
 ./pseudotty >$GINFO_PTY_FILE &
 PTY_PID=$!
 # Wait for pseudotty process to create file
 while test ! -f $GINFO_PTY_FILE; do sleep 1; done
-exec >"$(cat $GINFO_PTY_FILE | tr -d '\n')"
-exec 2>"$(cat $GINFO_PTY_FILE | tr -d '\n')"
+exec >"$(cat $GINFO_PTY_FILE | tr -d '\n')" 2>&1 0<&1
 rm -f $GINFO_PTY_FILE
 

Modified: trunk/info/t/Init-test.inc
===================================================================
--- trunk/info/t/Init-test.inc  2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/Init-test.inc  2014-05-08 10:43:19 UTC (rev 5533)
@@ -10,6 +10,8 @@
 export infodir=$srcdir/t/infodir
 export INFOPATH=$infodir
 
+export t=$srcdir/t
+
 GINFO_OUTPUT=$0.out
 # Remove left over file from previous tests
 rm -f $GINFO_OUTPUT

Modified: trunk/info/t/file.sh
===================================================================
--- trunk/info/t/file.sh        2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/file.sh        2014-05-08 10:43:19 UTC (rev 5533)
@@ -16,4 +16,4 @@
 
 . t/Init-test.inc
 
-$GINFO --output - --file $infodir/sample.info
+$GINFO --output - --file sample.info

Modified: trunk/info/t/goto-quoted.sh
===================================================================
--- trunk/info/t/goto-quoted.sh 2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/goto-quoted.sh 2014-05-08 10:43:19 UTC (rev 5533)
@@ -18,11 +18,11 @@
 . t/Init-intera.inc
 
 # Go to a node with colons and commas in its name with "g"
-$GINFO -f quoting --restore t/goto-quoted.drib
+$GINFO -f quoting --restore $t/goto-quoted.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/index-apropos.sh
===================================================================
--- trunk/info/t/index-apropos.sh       2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/index-apropos.sh       2014-05-08 10:43:19 UTC (rev 5533)
@@ -20,7 +20,7 @@
 # Type "M-x index-apropos", look for "link" in indices, select first
 # result. Then type "i" followed by <TAB> to check the indices in the
 # file are still there.
-$GINFO --restore t/index-apropos.drib
+$GINFO --restore $t/index-apropos.drib
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/index-long-nodeline.sh
===================================================================
--- trunk/info/t/index-long-nodeline.sh 2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/index-long-nodeline.sh 2014-05-08 10:43:19 UTC (rev 5533)
@@ -20,11 +20,11 @@
 # Follow an menu item from the index node to a node where physical lines
 # don't match logical lines.
 
-$GINFO -f split --restore t/index-long-nodeline.drib
+$GINFO -f split --restore $t/index-long-nodeline.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/index.sh
===================================================================
--- trunk/info/t/index.sh       2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/index.sh       2014-05-08 10:43:19 UTC (rev 5533)
@@ -19,11 +19,11 @@
 
 # Follow an index entry
 
-$GINFO -f intera --restore t/index.drib
+$GINFO -f intera --restore $t/index.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/next-quoted.sh
===================================================================
--- trunk/info/t/next-quoted.sh 2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/next-quoted.sh 2014-05-08 10:43:19 UTC (rev 5533)
@@ -18,11 +18,11 @@
 . t/Init-intera.inc
 
 # Go to a node with colons and commas in its name with "n"
-$GINFO -f quoting --restore t/next-quoted.drib
+$GINFO -f quoting --restore $t/next-quoted.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/reference-quoted.sh
===================================================================
--- trunk/info/t/reference-quoted.sh    2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/reference-quoted.sh    2014-05-08 10:43:19 UTC (rev 5533)
@@ -18,11 +18,11 @@
 . t/Init-intera.inc
 
 # Follow a cross-reference to a node with colons and commas in its name
-$GINFO -f quoting --restore t/reference-quoted.drib
+$GINFO -f quoting --restore $t/reference-quoted.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/split-index.sh
===================================================================
--- trunk/info/t/split-index.sh 2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/split-index.sh 2014-05-08 10:43:19 UTC (rev 5533)
@@ -19,11 +19,11 @@
 
 # Follow an index entry in a split file
 
-$GINFO -f split --restore t/split-index.drib
+$GINFO -f split --restore $t/split-index.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc

Modified: trunk/info/t/tab.sh
===================================================================
--- trunk/info/t/tab.sh 2014-05-08 00:46:43 UTC (rev 5532)
+++ trunk/info/t/tab.sh 2014-05-08 10:43:19 UTC (rev 5533)
@@ -18,11 +18,11 @@
 . t/Init-intera.inc
 
 # Tab to first link and follow it
-$GINFO -f intera --restore t/tab.drib
+$GINFO -f intera --restore $t/tab.drib
 
 test -f $GINFO_OUTPUT || exit 1
 # Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT t/node-target
+diff $GINFO_OUTPUT $t/node-target
 RETVAL=$?
 
 . t/Cleanup.inc




reply via email to

[Prev in Thread] Current Thread [Next in Thread]